      program test
      implicit real*8(a-h,o-z)

c  NPDF is the number of the structure functions in the grids
      parameter (npdf=18,nvar=44)

      real*8 pdfs(0:npdf),dpdfs(0:npdf,nvar)

c  JLAB kinematics setting
c      real*8 q2jlab(9) 
c      data q2jlab /6.4d0, 6.2d0, 5.5d0, 5.0d0 
c     ,     ,4.5d0, 2.4d0, 1.7d0, 0.9d0, 0.6d0/

      q2=1000.
      bmin=0.00002
      bmax=0.9
      nbin=60
      bin=(log(bmax)-log(bmin))/(nbin-1)
      do n=1,nbin
        xb=bmin*exp((bin*(n-1)))
c  call to the grid with the electromagnetic structure functions 
        call SFinclDIS_ABMP16(xb,q2,PDFS,DPDFS,0,1)
c  printout of the structure functions F_2, F_T, and xF_3
        write (30,10) xb,pdfs(1)-pdfs(7)-(pdfs(4)-pdfs(10))
      end do

   10 format (e10.5,24e16.6) 

      stop 

      end
